DELETE /api/v3/objects/{lcuid}/tags/{tag_lcuid}¶
Summary¶
DELETE /objects/{lcuid}/tags/{tag_lcuid}
Description¶
Remove a tag from this object
Tags: objects
Parameters¶
Header Parameters¶
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
Authorization |
string |
✓ Yes | Bearer {AuthToken} |
|
Content-Type |
string |
✓ Yes | application/json |
|
Accept |
string |
✓ Yes | application/json |
|
AppIdV3 |
string |
✓ Yes | LCUID-LAP-********-****-****-****-************ |
Responses¶
Response: 200¶
Content Type: application/json¶
Schema¶
Type: object
Properties:
success(boolean): The request succeededid(string): The lcuid of the objectclass(string): The class of the objecttags(array): An array of tags
Example Response¶
{
"success": true,
"id": "LCUID-LI-340abbaa-5b9f-45fb-a83e-9dbcc9c089ec",
"class": "App\\InventoryItem",
"tags": []
}
Example Implementations¶
Bash (cURL)¶
curl --request DELETE \
--url "https://api.lucit.app/api/v3/objects/{lcuid}/tags/{tag_lcuid}" \
--header "Authorization: Bearer {AuthToken}" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "AppIdV3: LCUID-LAP-********-****-****-****-************"
JavaScript (Fetch API)¶
const url = "https://api.lucit.app/api/v3/objects/{lcuid}/tags/{tag_lcuid}";
const headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************"
};
fetch(url, {
method: "DELETE",
headers: headers
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
PHP (Guzzle)¶
<?php
require_once 'vendor/autoload.php';
$client = new \GuzzleHttp\Client();
$response = $client->request('DELETE', 'https://api.lucit.app/api/v3/objects/{lcuid}/tags/{tag_lcuid}', [
'headers' => [
'Authorization' => 'Bearer {AuthToken}',
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
]
]);
$body = $response->getBody();
$data = json_decode($body, true);
print_r($data);
Python (Requests)¶
import requests
import json
url = "https://api.lucit.app/api/v3/objects/{lcuid}/tags/{tag_lcuid}"
headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************"
}
response = requests.delete(url, headers=headers)
print(response.json())